This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 209853 - network root leads to SELinux avc from dhclient-leases file
network root leads to SELinux avc from dhclient-leases file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-10-06 18:23 EDT by Jeremy Katz
Modified: 2014-03-16 23:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: 8.45.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 13:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-10-06 18:23:00 EDT
When we're doing a boot from NFS or iscsi, we copy the dhclient lease to /dev in
the initrd.  That then gets copied later in ifup-eth from /dev ->
/var/lib/dhclient.  When dhclient then tries to access it, it's unable to as the
file is labeled device_t instead of dhcpc_state_t.

Should we restorecon when we do that move?
Comment 1 Bill Nottingham 2006-10-06 20:38:53 EDT
Yeah, we probably should.
Comment 3 Daniel Walsh 2006-10-07 06:30:55 EDT
If you use install instead of mv, you get this for free.
Comment 4 Jeremy Katz 2006-10-09 10:30:20 EDT
Manually tested on my iscsi guest and it works fine. 
Comment 5 Bill Nottingham 2006-10-09 13:37:24 EDT
Building as 8.45.1-1.

Note You need to log in before you can comment on or make changes to this bug.